## org.irisa.genouest.logol.parser
Class logolLexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.irisa.genouest.logol.parser.logolLexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

    public class logolLexer

extends org.antlr.runtime.Lexer

Field Summary
`static int` `ANY`
`static int` `EOF`
`static int` `ID`
`static int` `INT`
`static int` `LOWID`
`static int` `ModelName`
`static int` `NEWLINE`
`static int` `Sequence`
`static int` `SequenceDef`
`static int` `T15`
`static int` `T16`
`static int` `T17`
`static int` `T18`
`static int` `T19`
`static int` `T20`
`static int` `T21`
`static int` `T22`
`static int` `T23`
`static int` `T24`
`static int` `T25`
`static int` `T26`
`static int` `T27`
`static int` `T28`
`static int` `T29`
`static int` `T30`
`static int` `T31`
`static int` `T32`
`static int` `T33`
`static int` `T34`
`static int` `T35`
`static int` `T36`
`static int` `T37`
`static int` `T38`
`static int` `T39`
`static int` `T40`
`static int` `T41`
`static int` `T42`
`static int` `T43`
`static int` `T44`
`static int` `T45`
`static int` `T46`
`static int` `T47`
`static int` `T48`
`static int` `T49`
`static int` `T50`
`static int` `T51`
`static int` `T52`
`static int` `Tokens`
`static int` `VARIABLE`
`static int` `VARID`
`static int` `WHITESPACE`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_FAILED_I, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME`

Constructor Summary
`logolLexer()`
`logolLexer(org.antlr.runtime.CharStream input)`

Method Summary
`java.lang.String` `getGrammarFileName()`
`void` `mANY()`
`void` `mID()`
`void` `mINT()`
`void` `mLOWID()`
`void` `mModelName()`
`void` `mNEWLINE()`
`void` `mSequence()`
`void` `mSequenceDef()`
`void` `mT15()`
`void` `mT16()`
`void` `mT17()`
`void` `mT18()`
`void` `mT19()`
`void` `mT20()`
`void` `mT21()`
`void` `mT22()`
`void` `mT23()`
`void` `mT24()`
`void` `mT25()`
`void` `mT26()`
`void` `mT27()`
`void` `mT28()`
`void` `mT29()`
`void` `mT30()`
`void` `mT31()`
`void` `mT32()`
`void` `mT33()`
`void` `mT34()`
`void` `mT35()`
`void` `mT36()`
`void` `mT37()`
`void` `mT38()`
`void` `mT39()`
`void` `mT40()`
`void` `mT41()`
`void` `mT42()`
`void` `mT43()`
`void` `mT44()`
`void` `mT45()`
`void` `mT46()`
`void` `mT47()`
`void` `mT48()`
`void` `mT49()`
`void` `mT50()`
`void` `mT51()`
`void` `mT52()`
`void` `mTokens()`
`void` `mVARIABLE()`
`void` `mVARID()`
`void` `mWHITESPACE()`

Methods inherited from class org.antlr.runtime.Lexer
`emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorMessage, getLine, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, beginResync, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, getBacktrackingLevel, getErrorHeader, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### T29

    public static final int T29

See Also:
  Constant Field Values

### T28

    public static final int T28

See Also:
  Constant Field Values

### T27

    public static final int T27

See Also:
  Constant Field Values

### T26

    public static final int T26

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### T25

    public static final int T25

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### T24

    public static final int T24

See Also:
  Constant Field Values

### T23

    public static final int T23

See Also:
  Constant Field Values

### T22

    public static final int T22

See Also:
  Constant Field Values

### Sequence

    public static final int Sequence

See Also:
  Constant Field Values

### T21

    public static final int T21

See Also:
  Constant Field Values

### T20

    public static final int T20

See Also:
  Constant Field Values

### T38

    public static final int T38

See Also:
  Constant Field Values

### T37

    public static final int T37

See Also:
  Constant Field Values

### T39

    public static final int T39

See Also:
  Constant Field Values

### T34

    public static final int T34

See Also:
  Constant Field Values

### T33

    public static final int T33

See Also:
  Constant Field Values

### T36

    public static final int T36

See Also:
  Constant Field Values

### T35

    public static final int T35

See Also:
  Constant Field Values

### T30

    public static final int T30

See Also:
  Constant Field Values

### T32

    public static final int T32

See Also:
  Constant Field Values

### T31

    public static final int T31

See Also:
  Constant Field Values

### LOWID

    public static final int LOWID

See Also:
  Constant Field Values

### T49

    public static final int T49

See Also:
  Constant Field Values

### WHITESPACE

    public static final int WHITESPACE

See Also:
  Constant Field Values

### T48

    public static final int T48

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### T43

    public static final int T43

See Also:
  Constant Field Values

### Tokens

    public static final int Tokens

See Also:
  Constant Field Values

### T42

    public static final int T42

See Also:
  Constant Field Values

### T41

    public static final int T41

See Also:
  Constant Field Values

### T40

    public static final int T40

See Also:
  Constant Field Values

### T47

    public static final int T47

See Also:
  Constant Field Values

### T46

    public static final int T46

See Also:
  Constant Field Values

### T45

    public static final int T45

See Also:
  Constant Field Values

### T44

    public static final int T44

See Also:
  Constant Field Values

### ANY

    public static final int ANY

See Also:
  Constant Field Values

### NEWLINE

    public static final int NEWLINE

See Also:
  Constant Field Values

### VARIABLE

    public static final int VARIABLE

See Also:
  Constant Field Values

### T50

    public static final int T50

See Also:
  Constant Field Values

### ModelName

    public static final int ModelName

See Also:
  Constant Field Values

### T52

    public static final int T52

See Also:
  Constant Field Values

### T15

    public static final int T15

See Also:
  Constant Field Values

### T51

    public static final int T51

See Also:
  Constant Field Values

### T16

    public static final int T16

See Also:
  Constant Field Values

### T17

    public static final int T17

See Also:
  Constant Field Values

### VARID

    public static final int VARID

See Also:
  Constant Field Values

### T18

    public static final int T18

See Also:
  Constant Field Values

### T19

    public static final int T19

See Also:
  Constant Field Values

### SequenceDef

    public static final int SequenceDef

See Also:
  Constant Field Values

Constructor Detail

### logolLexer

    public logolLexer()

### logolLexer

    public logolLexer(org.antlr.runtime.CharStream input)

Method Detail

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mT15

    public final void mT15()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT16

    public final void mT16()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT17

    public final void mT17()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT18

    public final void mT18()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT19

    public final void mT19()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT20

    public final void mT20()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT21

    public final void mT21()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT22

    public final void mT22()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT23

    public final void mT23()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT24

    public final void mT24()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT25

    public final void mT25()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT26

    public final void mT26()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT27

    public final void mT27()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT28

    public final void mT28()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT29

    public final void mT29()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT30

    public final void mT30()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT31

    public final void mT31()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT32

    public final void mT32()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT33

    public final void mT33()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT34

    public final void mT34()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT35

    public final void mT35()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT36

    public final void mT36()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT37

    public final void mT37()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT38

    public final void mT38()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT39

    public final void mT39()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT40

    public final void mT40()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT41

    public final void mT41()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT42

    public final void mT42()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT43

    public final void mT43()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT44

    public final void mT44()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT45

    public final void mT45()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT46

    public final void mT46()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT47

    public final void mT47()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT48

    public final void mT48()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT49

    public final void mT49()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT50

    public final void mT50()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT51

    public final void mT51()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT52

    public final void mT52()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mModelName

    public final void mModelName()
                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSequence

    public final void mSequence()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSequenceDef

    public final void mSequenceDef()
                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mVARIABLE

    public final void mVARIABLE()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mVARID

    public final void mVARID()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mLOWID

    public final void mLOWID()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mID

    public final void mID()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mINT

    public final void mINT()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mANY

    public final void mANY()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mNEWLINE

    public final void mNEWLINE()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mWHITESPACE

    public final void mWHITESPACE()
                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

  Specified by:
    `mTokens` in class `org.antlr.runtime.Lexer`
  Throws:
    `org.antlr.runtime.RecognitionException`